"""fix pimscache call in image caching workflow

Revision ID: edf1dd4da767
Revises: 022dfde2d95f
Create Date: 2022-10-24 09:58:38.357169

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'edf1dd4da767'
down_revision = '022dfde2d95f'
branch_labels = None
depends_on = None

old_vlass_image_caching = """#!/bin/sh
export CAPO_PROFILE=vlass.{{vlass_env}}

./pimscache -rm -c $1 -p $2

./cacheImagingProducts.sh -p $3 -s $4
"""

new_vlass_image_caching = """#!/bin/sh
export CAPO_PROFILE=vlass.{{vlass_env}}

./pimscache rm -c $1 -p $2

./cacheImagingProducts.sh -p $3 -s $4
"""

def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{new_vlass_image_caching}' WHERE filename='vlass_image_caching.sh'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{old_vlass_image_caching}' WHERE filename='vlass_image_caching.sh'
        """
    )
